org.richfaces.renderkit.html

## Class ResourceLibraryRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.html.ResourceRenderer
    - - org.richfaces.renderkit.html.ResourceLibraryRenderer

-     public class ResourceLibraryRenderer
      extends ResourceRenderer

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RENDERER_TYPE`
    `static String` | `RESOURCE_LIBRARY_EXTENSION`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceLibraryRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.html.ResourceRenderer

      `encodeDependentResources, encodeResource`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, decode, encodeBegin, encodeChildren, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERER_TYPE

          public static final String RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### RESOURCE_LIBRARY_EXTENSION

          public static final String RESOURCE_LIBRARY_EXTENSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceLibraryRenderer

          public ResourceLibraryRenderer()

  - ### Method Detail

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)
                         throws IOException

      Overrides:
        `encodeEnd` in class `javax.faces.render.Renderer`
      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.